import { version } from '../package.json';
import { default as TypeWriterQueue } from '../src/utils/typewriter';
import { default as VueTypeWriter, setThemeStyle } from '../src/directives/typewriterDirective';
import { default as VueTypeWriterView } from '../src/components/VueWriterView.vue';
import { App } from 'vue';

export { VueTypeWriterView, VueTypeWriter, TypeWriterQueue, setThemeStyle };
export { version };
export * from '../src/theme/index';
declare const install: (app: App<Element>, options?: {
    closeConsoleHint?: boolean;
}) => void;
export default install;
