/**
 * 打字机队列
 */
export declare class TypeWriterQueue {
    private onConsume;
    private onDone?;
    private queue;
    private consuming;
    private timmer;
    constructor(onConsume: (str: string) => void, onDone?: (() => void) | undefined);
    dynamicSpeed(): number;
    add(str: string): void;
    consume(): void;
    next(): void;
    start(): void;
    done(): void;
    /**
     * 静态方法
     * @param el
     * @param speed
     */
    static typeWriterFunction: (el: Element, speed?: number) => void;
}
export default TypeWriterQueue;
